[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#611583: openoffice.org-emailmerge: unopkg failed


On Tue, Feb 01, 2011 at 09:09:11AM -0800, Ross Boylan wrote:
> corn:~# ./openoffice.org-emailmerge.postinst upgrade
> Adding extension /usr/lib/openoffice/program/mailmerge.py...Copying:
> mailmerge.py
> ERROR: (com.sun.star.deployment.VersionException) { { Message =
> "Extension has already been added: org.openoffice.legacy.mailmerge.py",

So you might want to --reinstal. this. (see below). OOo thinks it's
already registered which seems as the preinst (which deregisters it before
an upgrade) failed for some reason..

> > That's possible, yes...
> > Was/is there a soffice.bin process running?
> Not now, but I've rebooted.  If it were running it would be as my
> regular user account, not root.

Yeah, but experience shows that this doesn't exactly matter all times
(especially not in 2.4.x)

Besides that there's "-env:UserInstallation=file:///$INSTDIR" there so if
the unopkg failed somehow and left a OOo running...
(unopkg "of course" spawns OOo...)

> > apt-show-versions can help you.
> Perhaps the python-central is relevant.  I also have some stuff from

Maybe, yes... But why did you have python-central from unstable?!

Anyway, what happens if you apt-get install --reinstall? Or better run prerm
remove and postinst install (or upgrade) with -v again?


 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: D03E3E70
   `-   Fingerprint: E12D EA46 7506 70CF A960 801D 0AA0 4571 D03E 3E70

Reply to: